<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_ActivityReport StructType
 * @subpackage Structs
 */
class Get_ActivityReport extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ActivityReportSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ActivityReportSelection
     */
    public $ActivityReportSelection;
    /**
     * Constructor method for Get_ActivityReport
     * @uses Get_ActivityReport::setLogin()
     * @uses Get_ActivityReport::setActivityReportSelection()
     * @param \StructType\Login $login
     * @param \StructType\ActivityReportSelection $activityReportSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\ActivityReportSelection $activityReportSelection = null)
    {
        $this
            ->setLogin($login)
            ->setActivityReportSelection($activityReportSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_ActivityReport
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ActivityReportSelection value
     * @return \StructType\ActivityReportSelection|null
     */
    public function getActivityReportSelection()
    {
        return $this->ActivityReportSelection;
    }
    /**
     * Set ActivityReportSelection value
     * @param \StructType\ActivityReportSelection $activityReportSelection
     * @return \StructType\Get_ActivityReport
     */
    public function setActivityReportSelection(\StructType\ActivityReportSelection $activityReportSelection = null)
    {
        $this->ActivityReportSelection = $activityReportSelection;
        return $this;
    }
}
